/*
 *========================================================================
 * $Id: work.c,v 1.8 2004/05/18 13:35:06 rgb Exp $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

/*
 *========================================================================
 * This is the main loop of the program.  We should remain here looping
 * until the program is terminated.
 *========================================================================
 */

#include "wulflogger.h"

void work()
{

 struct timeval sleepytime;
 fd_set in;
 char keyin;

 if((verbose == D_ALL) || (verbose == D_WORK)){
   printf("D_WORK: Starting wulfstat_work().  Use -v %d to focus.\n",D_WORK);
   sleep(1);
   /* printf("D_WORK: Starting wulfstat_work().  Use -v %d to focus.\n",D_WORK); */
 }

 /* 
  * Zero the cycle counter and off to work-loop we go...
  */
 cycle_cnt = 0;

 /*
  * We loop forever, with a variable (user selectable) delay and a keyboard
  * escape (where we CAN do e.g. dynamic reconfiguration therein).
  */
 while(1){

   sleepytime.tv_sec = update_delay;
   sleepytime.tv_usec = 0;
   FD_ZERO(&in);
   FD_SET(0, &in);
   if((verbose == D_ALL) || (verbose == D_WORK)){
     printf("D_WORK: About to wait for %d seconds\n",update_delay);
   }
   if(select(1, &in, 0, 0, &sleepytime) > 0 && read(0, &keyin, 1) == 1) {
     if((verbose == D_ALL) || (verbose == D_WORK)){
       printf("D_WORK: Got %c keystroke\n",keyin);
     }
   } else {
     /* 
      * Increment cycle counter, but only on a timeout.
      */
     cycle_cnt++;
     if((verbose == D_ALL) || (verbose == D_WORK)){
       printf("D_WORK: cycle counter = %d\n",cycle_cnt);
     }
   }

   /*
    * receive the results and put them where they belong.
    */
   update_host_values(hostlist);

   /*
    * display them.
    */
   display_values();

   if(count != -1 && cycle_cnt >= count) exit(0);

 }

}
