# The following should match PROGRAM, VERSION and RELEASE in the
# Makefile accompanying this program (and the .tgz defined in Source
# below.

%define builddir $RPM_BUILD_DIR/%{name}-%{version}.%{release}

Summary: A beowulf/cluster/LAN logging tool

Name: wulflogger
Version: 1.0.1
Release: 1
Group: Applications/System
License: Open Source (GPL v2b)
Source: %{name}-%{version}.tgz
Requires: libxml2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description 

wulflogger is a command line tool for generating a running display of
selected cluster statistics, e.g. load averages.  It uses the same
wulfhosts file as wulfstat (and generates largely the same displays) but
writes them to stdout as columnated lines from where they can easily be
piped into files, parsed and fed to graphing/display programs such as
rrdtool or saved as archival records.

%prep
%setup -q -n %{name}

%build
make clean
make

%install
make PREFIX=%{buildroot}/usr install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr(-,root,root)
# The wulflogger binary
%attr(755,root,root) /usr/bin/wulflogger
# The wulflogger man page
%attr(644,root,root) /usr/share/man/man1/wulflogger.1.gz

# The wulflogger docs (not much here, actually)
%doc README COPYING wulfhosts.example

%post

%postun

%changelog
* Wed Apr  29 2002 Robert G. Brown <rgb@duke.edu>
- Working stably for a few weeks.  Going into beta.
* Wed Mar  13 2002 Robert G. Brown <rgb@duke.edu>
- set up and built for RH 7.2
